package cn.iocoder.yudao.module.mqtt.api.path.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PathPosedsDataArgPosedDTO {
    @Schema(description = "唯一key，导航下发给RCS应用", example = "20863")
    private String poseId;

    private Double x;

    private Double y;

    private Double yaw;

    @Schema(description = "开始控制点x轴")
    private Double beginControlX;

    @Schema(description = "开始控制点y轴")
    private Double beginControlY;

    @Schema(description = "结束控制点x轴")
    private Double endControlX;

    @Schema(description = "结束控制点y轴")
    private Double endControlY;

    @Schema(description = "是否是新路径，存在旧路径表示有切换任务，只有新路径表示无切换任务", example = "20863")
    private Integer isNewPose;
}
