package cn.iocoder.yudao.module.system.controller.admin.houselocation.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 库位和坐标 Response VO")
@Data
public class WareHouseLocationItemRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "31866")
    private Long id;

    @Schema(description = "库位编号")
    private String locationNo;

    @Schema(description = "物料信息")
    private String skuInfo;

    @Schema(description = "物料数量")
    private Long skuNumber;

    @Schema(description = "启用/禁用（0：禁用、1：启用）")
    private Integer locationEnable;

    @Schema(description = "锁定/正常（0：锁定、1：正常）")
    private Integer locationLock;

    @Schema(description = "状态（0：空闲、1：占用）", example = "2")
    private Integer locationUseStatus;

    @Schema(description = "宽度")
    private BigDecimal locationWide;

    @Schema(description = "长度")
    private BigDecimal locationDeep;

    @Schema(description = "层数")
    private Integer locationStorey;

    @Schema(description = "实际坐标x轴")
    private String actualLocationX;

    @Schema(description = "实际坐标y轴")
    private String actualLocationY;















}
