package cn.iocoder.yudao.module.system.controller.admin.log.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 机器人动作记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RobotOperationLogPageReqVO extends PageParam {

    @Schema(description = "任务id", example = "17244")
    private Long orderId;

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "任务类型", example = "1")
    private String orderType;

    @Schema(description = "作业类型", example = "1")
    private String commandType;

    @Schema(description = "动作")
    private String workProgress;

    @Schema(description = "状态(0:未开始、1:正在进行、2:暂停中、3:已取消、4:已失败、5:已完成)")
    private String executionState;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}