package cn.iocoder.yudao.module.system.controller.admin.log.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 机器人动作记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RobotOperationLogRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "31491")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "任务id", example = "17244")
    @ExcelProperty("任务id")
    private Long orderId;

    @Schema(description = "AGV编号")
    @ExcelProperty("AGV编号")
    private String robotNo;

    @Schema(description = "任务类型", example = "1")
    @ExcelProperty("任务类型")
    private String orderType;

    @Schema(description = "作业类型", example = "1")
    @ExcelProperty("作业类型")
    private String commandType;

    @Schema(description = "动作")
    @ExcelProperty("动作")
    private String workProgress;

    @Schema(description = "状态(0:未开始、1:正在进行、2:暂停中、3:已取消、4:已失败、5:已完成)")
    @ExcelProperty("状态(0:未开始、1:正在进行、2:暂停中、3:已取消、4:已失败、5:已完成)")
    private String executionState;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}