package cn.iocoder.yudao.module.system.controller.admin.robot.camera;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 车辆摄像头信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RobotCameraPageReqVO extends PageParam {

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "摄像头位置(0:上, 1:左, 2:右, 3:下, 4:后)")
    private Integer cameraPosition;

    @Schema(description = "摄像头IP")
    private String cameraIp;

    @Schema(description = "摄像头端口")
    private String cameraPort;

    @Schema(description = "摄像头账号", example = "24863")
    private String cameraAccount;

    @Schema(description = "摄像头密码")
    private String cameraPassword;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}