package cn.iocoder.yudao.module.system.controller.admin.robot.camera;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 车辆摄像头信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RobotCameraRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "30856")
    @JsonSerialize(using = ToStringSerializer.class)
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "AGV编号")
    @ExcelProperty("AGV编号")
    private String robotNo;

    @Schema(description = "摄像头位置(0:上, 1:左, 2:右, 3:下, 4:后)")
    @ExcelProperty("摄像头位置(0:上, 1:左, 2:右, 3:下, 4:后)")
    private Integer cameraPosition;

    @Schema(description = "摄像头IP")
    @ExcelProperty("摄像头IP")
    private String cameraIp;

    @Schema(description = "摄像头端口")
    @ExcelProperty("摄像头端口")
    private String cameraPort;

    @Schema(description = "摄像头账号", example = "24863")
    @ExcelProperty("摄像头账号")
    private String cameraAccount;

    @Schema(description = "摄像头密码")
    @ExcelProperty("摄像头密码")
    private String cameraPassword;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}