package cn.iocoder.yudao.module.system.controller.admin.robot.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 机器人告警码值映射 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RobotWarnCodeMappingRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "15754")
    @ExcelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @Schema(description = "告警等级 (1,2,3,4)")
    @ExcelProperty("告警等级 (1,2,3,4)")
    private Integer warnLevel;

    @Schema(description = "能不能继续做任务 (0:不能， 1:能)")
    @ExcelProperty("能不能继续做任务 (0:不能， 1:能)")
    private Integer doTask;

    @Schema(description = "告警编号")
    @ExcelProperty("告警编号")
    private String warnCode;

    @Schema(description = "告警信息")
    @ExcelProperty("告警信息")
    private String warnMsg;

    @Schema(description = "告警解决方法")
    @ExcelProperty("告警解决方法")
    private String warnSolve;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}