package cn.iocoder.yudao.module.system.controller.admin.statistics.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 车辆工作时长统计 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RobotWorkingHoursStatisticsRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "7218")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "仓库点位地图表id", example = "28478")
    @ExcelProperty("仓库点位地图表id")
    private Long positionMapId;

    @Schema(description = "AGV编号")
    @ExcelProperty("AGV编号")
    private String robotNo;

    @Schema(description = "时长,单位分钟", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("时长,单位分钟")
    private Long duration;

    @Schema(description = "类型(0:空闲时长, 1:任务时长, 2:充电时长)", example = "1")
    @ExcelProperty("类型(0:空闲时长, 1:任务时长, 2:充电时长)")
    private Integer durationType;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}