package cn.iocoder.yudao.module.system.dal.dataobject.positionmap;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 区域变更点绑定 DO
 *
 * @author 陈宾顺
 */
@TableName("ware_position_change_point_binding")
@KeySequence("ware_position_change_point_binding_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PositionChangePointBindingDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 点位1的id
     */
    private Long startingPointId;
    /**
     * 点位2的id
     */
    private Long endPointId;
    /**
     * 点位1自增排序
     */
    private Long startingPointSortNum;
    /**
     * 点位2自增排序
     */
    private Long endPointSortNum;
    /**
     * 地图id
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long positionMapId;

}