package cn.iocoder.yudao.module.system.dal.dataobject.robot;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 机器人告警码值映射 DO
 *
 * @author 陈宾顺
 */
@TableName("robot_warn_code_mapping")
@KeySequence("robot_warn_code_mapping_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RobotWarnCodeMappingDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 告警等级 (1,2,3,4)
     */
    private Integer warnLevel;
    /**
     * 能不能继续做任务 (0:不能， 1:能)
     */
    private Integer doTask;
    /**
     * 告警编号
     */
    private String warnCode;
    /**
     * 告警信息
     */
    private String warnMsg;
    /**
     * 告警解决方法
     */
    private String warnSolve;

}