package cn.iocoder.yudao.module.system.dal.dataobject.robot;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 机器人告警信息 DO
 *
 * @author 陈宾顺
 */
@TableName("robot_warn_msg")
@KeySequence("robot_warn_msg_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RobotWarnMsgDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * AGV编号
     */
    private String robotNo;
    /**
     * 告警等级 (1,2,3,4)
     */
    private Integer warnLevel;
    /**
     * 告警类型 (1:告警, 2:用户操作)
     */
    private Integer warnType;
    /**
     * 告警编号
     */
    private String warnCode;
    /**
     * 告警信息
     */
    private String warnMsg;
    /**
     * 告警解决方法
     */
    private String warnSolve;
    /**
     * 结束时间
     */
    private LocalDateTime solveTime;
    /**
     * 是否已读(0:未读, 1:已读)
     */
    private Integer readStatus;
    /**
     * 阅读时间
     */
    private LocalDateTime readTime;

    /**
     * 任务号
     */
    private String taskNo;

    /**
     * robot_task_detail的id
     */
    private Long taskDetailId;

}