package cn.iocoder.yudao.module.system.service.log;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.system.controller.admin.log.vo.UserOperationLogPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.log.vo.UserOperationLogSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.log.UserOperationLogDO;

/**
 * 用户操作记录 Service 接口
 *
 * @author 陈宾顺
 */
public interface UserOperationLogService {

    /**
     * 创建用户操作记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createUserOperationLog(@Valid UserOperationLogSaveReqVO createReqVO);

    /**
     * 更新用户操作记录
     *
     * @param updateReqVO 更新信息
     */
    void updateUserOperationLog(@Valid UserOperationLogSaveReqVO updateReqVO);

    /**
     * 删除用户操作记录
     *
     * @param id 编号
     */
    void deleteUserOperationLog(Long id);

    /**
     * 获得用户操作记录
     *
     * @param id 编号
     * @return 用户操作记录
     */
    UserOperationLogDO getUserOperationLog(Long id);

    /**
     * 获得用户操作记录分页
     *
     * @param pageReqVO 分页查询
     * @return 用户操作记录分页
     */
    PageResult<UserOperationLogDO> getUserOperationLogPage(UserOperationLogPageReqVO pageReqVO);

}